#
# BEGIN COPYRIGHT BLOCK
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
# 
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
#
# This file is where you tell the build process where to find the
# various components used during the build process.

# You can either use components built locally from source or
# pre-built components.  The reason for the different macros
# for SOURCE and BUILD is that the locations for the libs, includes,
# etc. are usually different for packages built from source vs.
# pre-built packages.  As an example, when building NSPR from
# source, the includes are in mozilla/dist/$(OBJDIR_NAME)/include
# where OBJDIR_NAME includes the OS, arch, compiler, thread model, etc.
# When using the pre-built NSPR from Mozilla FTP, the include files
# are just in nsprdir/include.  This is why we have to make the
# distinction between a SOURCE component and a BUILD (pre-built)
# component.  See components.mk and nsconfig.mk for the gory details.

# For each component, specify the source root OR the pre-built
# component directory.  If both a SOURCE_ROOT and a BUILD_DIR are
# defined for a component, the SOURCE_ROOT will be used - don't do
# this, it's confusing.

# For the Mozilla components, if using source for all of them,
# you can just define MOZILLA_SOURCE_ROOT - the build will
# assume all of them have been built in that same directory
# (as per the recommended build instructions)

# For all components, the recommended way is to put each
# component in a subdirectory of the parent directory of
# BUILD_ROOT, both with pre-built and source components

# work around vsftpd -L problem
ifeq ($(COMPONENT_PULL_METHOD), FTP)
ifdef USING_VSFTPD
VSFTPD_HACK=1
endif
endif

#MOZILLA_SOURCE_ROOT = $(BUILD_ROOT)/../mozilla

#NSPR_SOURCE_ROOT = $(MOZILLA_SOURCE_ROOT)
ifndef NSPR_SOURCE_ROOT
NSPR_BUILD_DIR = $(NSCP_DISTDIR)
endif # NSPR_SOURCE_ROOT

#DBM_SOURCE_ROOT = $(MOZILLA_SOURCE_ROOT)
ifndef DBM_SOURCE_ROOT
DBM_BUILD_DIR = $(NSCP_DISTDIR)
endif # DBM_SOURCE_ROOT

#SECURITY_SOURCE_ROOT = $(MOZILLA_SOURCE_ROOT)
ifndef SECURITY_SOURCE_ROOT
SECURITY_BUILD_DIR = $(NSCP_DISTDIR)
endif # SECURITY_SOURCE_ROOT

#LDAPSDK_SOURCE_ROOT = $(MOZILLA_SOURCE_ROOT)
ifndef LDAPSDK_SOURCE_ROOT
LDAPSDK_BUILD_DIR = $(NSCP_COMPDIR)/ldapsdk/$(NSOBJDIR_NAME)
endif # LDAPSDK_SOURCE_ROOT

#ICU_SOURCE_ROOT = $(BUILD_ROOT)/../icu
ifndef ICU_SOURCE_ROOT
ICU_BUILD_DIR = $(NSCP_COMPDIR)/libicu/$(NSOBJDIR_NAME)
endif # ICU_SOURCE_ROOT

#ADMINUTIL_SOURCE_ROOT = $(BUILD_ROOT)/../adminutil
ifndef ADMINUTIL_SOURCE_ROOT
ADMINUTIL_BUILD_DIR = $(NSCP_COMPDIR)/adminutil/$(NSOBJDIR_NAME)
endif # ADMINUTIL_SOURCE_ROOT

#SETUPUTIL_SOURCE_ROOT = $(BUILD_ROOT)/../setuputil
ifndef SETUPUTIL_SOURCE_ROOT
SETUPUTIL_BUILD_DIR = $(NSCP_COMPDIR)/setuputil/$(NSOBJDIR_NAME)
endif # SETUPUTIL_SOURCE_ROOT

ifndef JSS_SOURCE_DIR
JSS_BUILD_DIR = $(NSCP_COMPDIR)/jss/$(NSOBJDIR_NAME)
endif

ifndef ONLINEHELP_SOURCE_DIR
ONLINEHELP_BUILD_DIR = $(NSCP_COMPDIR)/adminservdoc
endif
